Differences between revisions 10 and 11
Revision 10 as of 2014-12-06 17:18:49
Size: 1374
Editor: asbesto
Comment:
Revision 11 as of 2014-12-06 22:28:16
Size: 1459
Editor: asbesto
Comment:
Deletions are marked like this. Additions are marked like this.
Line 21: Line 21:
Required: Required VERIFICATO:
Line 23: Line 23:
apt-get install doxygen libssl-dev libjpeg-dev libsdl2-dev libluajit-5.1-dev libfribidi-dev
}}}
apt-get install doxygen libssl-dev libjpeg-dev libsdl2-dev libluajit-5.1-dev libfribidi-dev libgif-dev libtiff-dev libmount-dev libblkid-dev libsndfile1-dev x11proto-print-dev libxp-dev libxtst-dev libbullet-dev
}}} 
Line 28: Line 28:
./configure --prefix=/usr --disable-pulseaudio --enable-drm --enable-drm-hw-accel --enable-i-really-know-what-i-am-doing-and-that-this-will-probably-break-things-and-i-will-fix-them-myself-and-send-patches-aba --disable-systemd --enable-sdl --enable-gl-drm --disable-avahi --enable-gesture ./configure --prefix=/usr --disable-pulseaudio --enable-i-really-know-what-i-am-doing-and-that-this-will-probably-break-things-and-i-will-fix-them-myself-and-send-patches-aba --disable-systemd --enable-sdl --disable-avahi --disable-gstreamer1

Enlightenment

light.gif

This wiki page is just a scratchpad for now. It may become a sort of howto, who knows?!? ;)

Install from sources

Git repo:

sequence:

 git clone git://git.enlightenment.org/core/efl.git

Required VERIFICATO:

apt-get install doxygen libssl-dev libjpeg-dev libsdl2-dev libluajit-5.1-dev libfribidi-dev libgif-dev libtiff-dev libmount-dev libblkid-dev libsndfile1-dev x11proto-print-dev libxp-dev libxtst-dev libbullet-dev 

compile with:

./configure --prefix=/usr --disable-pulseaudio --enable-i-really-know-what-i-am-doing-and-that-this-will-probably-break-things-and-i-will-fix-them-myself-and-send-patches-aba --disable-systemd --enable-sdl --disable-avahi --disable-gstreamer1

 git clone git://git.enlightenment.org/core/elementary.git
 git clone git://git.enlightenment.org/enlightenment.git

connman / econnman

connman isn't an E package, so apt-get install connman ! :)

for econnman you need:

 git clone git://git.enlightenment.org/bindings/python/python-efl.git

and

 git clone git://git.enlightenment.org/apps/econnman.git

Repositories for E18/E19 ?

 sudo add-apt-repository ppa:niko2040/e19
 sudo apt-get update
 sudo apt-get install enlightenment

Enlightenment (last edited 2020-03-06 15:26:21 by asbesto)